FS_TRACE(1)

NAME
fs_trace - Enable or disable AFS Cache Manager tracing

SYNOPSIS
fs trace << [-on|-off] >> [-reset] [-dump]

DESCRIPTION
This command enables or disables AFS Cache Manager tracing, resets the trace log, or dumps the log. When you dump the log, two files are created in the Windows Temporary directory: afs-buffer.log and afsd.log. Any existing files with those names will be replaced.

CAUTIONS
This command is only available on Windows.

OPTIONS
Any combination of the following options may be specified, except that both -on and -off cannot be specified at the same time. Turn tracing on. Turn tracing off. Resets the tracing information, discarding any trace-information collected up to this time. Creates a dump file containing the trace information.

OUTPUT
If successful, the output of this command (for any option) will be:

   AFS tracing enabled
If unsuccessful:

   AFS tracing disabled

EXAMPLES
The following command starts tracing:

   % fs trace -on
The following dumps the current contents and resets the trace log, then turns tracing off:

   % fs trace -dump -reset -off

PRIVILEGE REQUIRED
The issuer must be have AFS Client Administrator access to issue this command.

SEE ALSO
the fs(1) manpage

COPYRIGHT
Copyright 2008. This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Mike Robinson (the mike@endpoint.com manpage) for OpenAFS.